#ifndef _DRV_PACKET_H_
#define _DRV_PACKET_H_
#include "buffer.h"

#define PACKET_MASK_RESTART 		0x0001
#define PACKET_MASK_FORWARD_FLOW 	0x0002
#define PACKET_MASK_DCLICK	 		0x0004
#define PACKET_MASK_CLICK	 		0x0008

extern Buffer_TypeDef PACKET_RXMSG;
extern Buffer_TypeDef PACKET_TXMSG;

void PACKET_Init(void);
void PACKET_Create(uint32_t mask);
void PACKET_imei2buff(char *imei);
uint16_t PACKET_getCrc16(uint8_t *buffer, uint32_t offset, uint32_t bufLen, uint16_t polynom, uint16_t preset);

#endif
